summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorFlorian Dold <florian@dold.me>2024-03-13 20:37:50 +0100
committerFlorian Dold <florian@dold.me>2024-03-13 20:37:50 +0100
commit2e31b57a1fb910574f9375bf01feb2aacc57bdbc (patch)
treed2f7c015ebcb91489942a0c72092d30f52a1f53c
parent9661152fb2152bdfc81155a771e0d2ed84582697 (diff)
downloaddeployment-2e31b57a1fb910574f9375bf01feb2aacc57bdbc.tar.gz
deployment-2e31b57a1fb910574f9375bf01feb2aacc57bdbc.tar.bz2
deployment-2e31b57a1fb910574f9375bf01feb2aacc57bdbc.zip
sync
-rwxr-xr-xregional-currency/diagnose.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/regional-currency/diagnose.sh b/regional-currency/diagnose.sh
index d98b3fa..e2f631b 100755
--- a/regional-currency/diagnose.sh
+++ b/regional-currency/diagnose.sh
@@ -71,3 +71,14 @@ runsql "$exchange_db" num_exchange_reserves <<EOF
select count(*) from exchange.reserves;
EOF
echo num_exchange_reserves: $num_exchange_reserves
+
+
+function expect_unit_active() {
+ systemctl --quiet is-active "$1"
+ if [[ $? -ne 0 ]]; then
+ echo "WARNING: expected unit $1 to be active, but it is not active"
+ fi
+}
+
+expect_unit_active taler-exchange-httpd.service
+expect_unit_active bla.service